using System;
using System.Linq;
using System.Data;
using System.Data.Linq;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class AddNews : System.Web.UI.Page
{
    private string GetNameForFile()
    {
        FirstClass db = new FirstClass();
        string DateNow = db.dtShamsi();
        DateNow = DateNow.Replace("/", "");
        DateNow += DateTime.Now.Hour.ToString().Trim() + DateTime.Now.Minute.ToString().Trim() + DateTime.Now.Second.ToString().Trim();
        return DateNow.Trim();
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        //if (Session["UserName"] == null)
        //{
        //    Response.Redirect("Default.aspx?ID=" + DateTime.Now.Ticks.ToString());
        //}
        //this.Title = "بخش ثبت خاطرات";

    }

    protected void Button1_Click(object sender, EventArgs e)// در این بخش خاطرات با استفاده از استرد لینکیو در پایگاه داده ثبت می شوند
    {
        string ImgExtention = "";
        string FileNme = "";
        if (FileUpload1.HasFile)
        {
            ImgExtention = System.IO.Path.GetExtension(FileUpload1.FileName);
        }
        if (ImgExtention != "")
        {
            FileNme = GetNameForFile();
        }
        if (FileUpload1.HasFile)
        {
            string savePath = Server.MapPath("UploadedUserFiles") + "\\" + FileNme + ImgExtention;
            FileUpload1.SaveAs(savePath);
        }

        LSC_KhateratDataContext db = new LSC_KhateratDataContext();
        tblKhaterat AddKh = new tblKhaterat();
        FirstClass sb = new FirstClass();

        AddKh.NewsTitle = Txt_NewsTitle.Text.Trim();
        AddKh.NewsGroupID = int.Parse(DropDownList1.SelectedValue.ToString().Trim());
        AddKh.NewsPic = ("UploadedUserFiles") + "\\" + FileNme + ImgExtention;
        AddKh.newsBody = TextBox2.Text.Trim();
        AddKh.DateOfAdding = sb.dtShamsi();
        AddKh.UserName = Session["UserName"].ToString();
        AddKh.ArchivedBit = Boolean.Parse("false");
        AddKh.KhaterehTypeID = int.Parse(Drop_Permission.SelectedValue.ToString());

        if (int.Parse(Session["UserTypeID"].ToString()) == 3)
        {
            AddKh.ShowPermiss = Boolean.Parse("false");
        }
        else
        {
            AddKh.ShowPermiss = Boolean.Parse("true");
        }

        db.tblKhaterats.InsertOnSubmit(AddKh);
        db.SubmitChanges();

        txtClear();

        // در این بخش اگر خاطره خصوصی باشد برای انتخاب نمایش کاربران
        // به صفحه درج کاربران مجاز منتقل می شود
        if (int.Parse(Drop_Permission.SelectedValue.ToString().Trim()) == 2)
        {
            Response.Redirect("AddPrivateUsers.aspx?ID=" + AddKh.NewsID.ToString().Trim());
        }
    }

    protected void txtClear()
    {
        Txt_NewsTitle.Text = "";
        TextBox2.Text = "";
    }

    protected void Button2_Click(object sender, EventArgs e)
    {
        txtClear();
        
    }
}
